import java.io.IOException; 
import java.util.Iterator; 
import org.apache.hadoop.io.DoubleWritable; 
import org.apache.hadoop.io.IntWritable; 
import org.apache.hadoop.io.Text; 
import org.apache.hadoop.mapreduce.Reducer; 

public class BetaValueAdderReducer extends Reducer<Text, DoubleWritable, Text, DoubleWritable> 
{ 

        @Override 
        protected void reduce(Text key,Iterable<DoubleWritable> values, Context context) throws IOException,InterruptedException 
        { 
               double acc = 0;
               for (DoubleWritable value : values) 
               {
                        acc = acc + value.get();
               }
                context.write(key, new DoubleWritable(acc));
        } 
}
